%define _name bmp-alarm

%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1.1
%endif

Name: beep-alarm
Version: 0.6.0
Release: %_release

Summary: An alarm plugin for Beep Media Player
Summary(ru_RU.KOI8-R): -  Beep Media Player
Group: Sound
License: GPL
Url: http://www.snika.uklinux.net/xmms-alarm/

Source:	%url/%_name-%version.tar.bz2

%define beep_ver 0.9.7

Requires: beep >= %beep_ver
BuildPreReq: libbeep-devel >= %beep_ver

# Automatically added by buildreq on Wed Dec 15 2004
BuildRequires: ORBit2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
%name is a general plugin for Beep Media Player that starts playing at a
given time, can use different times for different days of the week (a
must for college students), or not at all on certain days. Can ramp up
volume, run command or load playlist as well.

%description -l ru_RU.KOI8-R
%name      Beep Media Player,  
     .

%prep
%setup -q -n %_name-%version

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove none-packaged files.
%__rm -f %buildroot%_beep_general_dir/*.la

%files
%_beep_general_dir/*.so
%doc AUTHORS ChangeLog README

%changelog
* Tue Apr 05 2005 Grigory Batalov <bga@altlinux.ru> 0.6.0-alt0.M24.1
- Backport to Master 2.4.

* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1.1
- fixed buildreqs.

* Sat Nov 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- First build for Sisyphus.

